## org.eclipse.jetty.start
Class Monitor

    java.lang.Object
      java.lang.Thread
          org.eclipse.jetty.start.Monitor

All Implemented Interfaces:
  java.lang.Runnable

    public class Monitor

extends java.lang.Thread

Monitor thread. This thread listens on the port specified by the STOP.PORT system parameter (defaults to -1 for not listening) for request authenticated with the key given by the STOP.KEY system parameter (defaults to "eclipse") for admin requests.

If the stop port is set to zero, then a random port is assigned and the port number is printed to stdout.

Commands "stop" and * "status" are currently supported.

Nested Class Summary

Nested classes/interfaces inherited from class java.lang.Thread
`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`static void` `monitor(int port, java.lang.String key)` Start a Monitor.
`void` `run()`

Methods inherited from class java.lang.Thread

`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `java.lang.Thread`

### monitor

    public static void monitor(int port,
                               java.lang.String key)

  Start a Monitor. This static method starts a monitor that listens for admin requests.

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.